org.kie.api.builder.model

## Enum KieSessionModel.KieSessionType

- java.lang.Object
- - java.lang.Enum<KieSessionModel.KieSessionType>
  - - org.kie.api.builder.model.KieSessionModel.KieSessionType

- All Implemented Interfaces:
    Serializable, Comparable<KieSessionModel.KieSessionType>
  Enclosing interface:
    KieSessionModel

      public static enum KieSessionModel.KieSessionType
      extends Enum<KieSessionModel.KieSessionType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `STATEFUL`
    `STATELESS`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static KieSessionModel.KieSessionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static KieSessionModel.KieSessionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### STATEFUL

          public static final KieSessionModel.KieSessionType STATEFUL

    - #### STATELESS

          public static final KieSessionModel.KieSessionType STATELESS

  - ### Method Detail

    - #### values

          public static KieSessionModel.KieSessionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (KieSessionModel.KieSessionType c : KieSessionModel.KieSessionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static KieSessionModel.KieSessionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2001–2016 JBoss by Red Hat. All rights reserved.